Skip to main content

Create an APIKey for a sub-account

Create an API key for a sub-account.

HTTP Request

  • POST /api/v3/sub-account/apiKey

Required Permission: SPOT_ACCOUNT_WRITE

Weight(IP): 1

Request Parameters

NameTypeMandatoryDescription
subAccountSTRINGYESSub-account Name
noteSTRINGYESAPIKey note
permissionsSTRINGYESPermission of APIKey:
SPOT_ACCOUNT_READ,
SPOT_ACCOUNT_WRITE,
SPOT_DEAL_READ,
SPOT_DEAL_WRITE,
CONTRACT_ACCOUNT_READ,
CONTRACT_ACCOUNT_WRITE,
CONTRACT_DEAL_READ,
CONTRACT_DEAL_WRITE,
SPOT_TRANSFER_READ,
SPOT_TRANSFER_WRITE
ipSTRINGNOLink IP addresses, separate with commas if more than one. Support up to 20 addresses.
recvWindowLONGNO
timestampLONGYES

Response Parameters

NameTypeDescription
subAccountstringSub-account name
notestringAPIKey note
apiKeystringAPI public key
secretKeystringAPI secret key
permissionsstringAPIKey permissions
ipstringLinked IP addresses
createTimelongCreation time, Unix millisecond timestamp

Response

    {
"subAccount": "mexc1",
"note": "1",
"apiKey": "arg13sdfgs",
"secretKey": "nkjwn21973ihi",
"permissions": "SPOT_ACCOUNT_READ",
"ip": "135.181.193",
"createTime": 1597026383085
}